Bug 822304 - System with two batteries forces hibernate when one battery runs out, continues to force hibernate on every wakeup from suspend
System with two batteries forces hibernate when one battery runs out, continu...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: upower (Show other bugs)
20
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 974993 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 22:13 EDT by kat
Modified: 2015-06-29 07:38 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kat 2012-05-16 22:13:35 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:12.0) Gecko/20100101 Firefox/12.0

I have two batteries attached to my laptop. When one battery drains fully, the system forces hibernation. (It cannot resume from hibernate, which is a separate issue.) Upon restart, the system recognizes that the second battery is charged and correctly indicates its capacity. However, if I suspend and then attempt to resume, the system notices that the first battery is drained and again forces hibernation. 

I am using a lenovo X60 with the standard battery attached in addition to the 40Y7904 extended battery; both batteries are functional.

I am happy to test fixes. 

Reproducible: Always

Steps to Reproduce:
1. Use laptop on battery power with two batteries.
2. Drain power completely from first battery.
[system hibernates]

3. Restart system. 
4. Place into suspend.
5. Resume from suspend.
[system hibernates]
Actual Results:  
System forces hibernation when one battery is drained. Works again when restarted, but when suspended, immediately forces hibernation due to low first battery upon resume from suspend.

Expected Results:  
System seamlessly begins drawing power from second battery when first battery is drained.
Comment 1 Ivan Stojmirov 2012-06-22 11:19:16 EDT
I can confirm this behavior on a brand new ThinkPad T420s with a ultrabay battery installed.
Comment 2 zingale 2013-02-16 14:19:46 EST
I have this same problem with a T420s + ultrabay battery, but my laptop shuts down instead of hibernate.  This is with Fedora 18.
Comment 3 Fedora End Of Life 2013-07-03 18:39:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 kat 2013-07-12 13:23:10 EDT
This is still an issue in Fedora 19 (using a different laptop and pair of batteries than on the initial report).
Comment 5 ptg 2014-03-26 07:00:44 EDT
Also still an issue in Fedora 20. BZ 974993 is likely a duplicate of this one.  Adding the detail I added to that bug below.

-------------------
I have experienced the same problem in Fedora 17, 19, and 20 (I did not use Fedora 18, so I cannot speak to that, but my assumption would be that it existed there too).  There doesn't seem to be anyway to create a "virtual battery" to create a test case for this, but perhaps someone knows better than I.  I was hoping to recreate this issue in a virtual machine so it would be easier to detect and resolve.

The details of my setup are:
GNOME Desktop
HP ProBook 6455b laptop w/ external extended life battery (hooks on to the bottom)

This was the setup for Fedora 17, 19, and 20 alike.

acpi -V shows the following:
Battery 0: Discharging, 81%, 01:11:09 remaining
Battery 0: design capacity 4000 mAh, last full capacity 2511 mAh = 62%
Battery 1: Unknown, 95%
Battery 1: design capacity 5100 mAh, last full capacity 1283 mAh = 25%

Note that battery 0 is the external battery, which you would want to drain first.  However, if the external battery is removed, the internal battery becomes "battery 0":
Battery 0: Discharging, 94%, 00:35:15 remaining
Battery 0: design capacity 5100 mAh, last full capacity 1283 mAh = 25%

A problem like this puts more wear on a battery than normal as the usual fix is to just plug in the AC adapter which isn't good over time for a battery.  Note that no prior warning is given.  Once it drops below 5% it tells you that it will power off very soon and just does it.  Sometimes you can switch to a console, plug in the power, wait a few minutes, and then switch back and avoid the shutdown.

The only "workarounds" that I am aware of are to remove the external battery or plug in the power prior to reaching below 5%.  There have been rare cases where I have seen it hit 0% and it not immediately be a problem, but again that is not the norm.
Comment 6 ptg 2014-03-26 07:15:14 EDT
*** Bug 974993 has been marked as a duplicate of this bug. ***
Comment 7 ptg 2014-03-26 07:16:36 EDT
Does not appear to be Fedora-specific.  Take a look at this Ubuntu bug report: https://bugs.launchpad.net/upower/+bug/379599

Changing affected version to Fedora 20, to show it has NOT been fixed.
Comment 8 ptg 2014-03-26 07:24:10 EDT
Another possible interesting behavior is that BAT0 and BAT1 shown from upower --dump do not seem to correspond to the battery #s shown on acpi -V (they are swapped).  Not sure if its relevant or not.

Device: /org/freedesktop/UPower/devices/battery_BAT0
  native-path:          BAT0
  vendor:               Hewlett-Packard
  model:                Primary
  serial:               00198 2010/11/10
  power supply:         yes
  updated:              Wed 26 Mar 2014 06:21:59 AM CDT (2 seconds ago)
  has history:          yes
  has statistics:       yes
  battery
    present:             yes
    rechargeable:        yes
    state:               discharging
    energy:              11.6964 Wh
    energy-empty:        0 Wh
    energy-full:         13.8564 Wh
    energy-full-design:  55.08 Wh
    energy-rate:         23.8917 W
    voltage:             12.04 V
    time to empty:       29.4 minutes
    percentage:          84%
    capacity:            25.1569%
    technology:          lithium-ion
Device: /org/freedesktop/UPower/devices/line_power_AC
  native-path:          AC
  power supply:         yes
  updated:              Wed 26 Mar 2014 05:39:41 AM CDT (2540 seconds ago)
  has history:          no
  has statistics:       no
  line-power
    online:             no

Device: /org/freedesktop/UPower/devices/battery_BAT1
  native-path:          BAT1
  vendor:               Hewlett-Packard
  model:                Travel
  serial:               09417 2010/11/15
  power supply:         yes
  updated:              Wed 26 Mar 2014 06:21:44 AM CDT (17 seconds ago)
  has history:          yes
  has statistics:       yes
  battery
    present:             yes
    rechargeable:        yes
    state:               discharging
    energy:              18.8996 Wh
    energy-empty:        0 Wh
    energy-full:         37.1628 Wh
    energy-full-design:  59.2 Wh
    energy-rate:         28.5196 W
    voltage:             14.872 V
    time to empty:       39.8 minutes
    percentage:          50%
    capacity:            62.775%
    technology:          lithium-ion
  History (charge):
    1395832904  50.000  discharging
    1395832872  51.000  discharging
    1395832828  52.000  discharging
  History (rate):
    1395832904  28.520  discharging
    1395832872  24.657  discharging
    1395832834  29.097  discharging
    1395832828  25.574  discharging

Daemon:
  daemon-version:  0.9.23
  on-battery:      yes
  on-low-battery:  no
  lid-is-closed:   no
  lid-is-present:  yes
  is-docked:       no


Battery 0: Discharging, 49%, 00:42:12 remaining
Battery 0: design capacity 4000 mAh, last full capacity 2511 mAh = 62%
Battery 1: Unknown, 84%
Battery 1: design capacity 5100 mAh, last full capacity 1283 mAh = 25%
Comment 9 Josef Ludvicek 2014-07-01 03:40:33 EDT
I have the same problem with Lenovo T440s using Fedora 20 x86_64 with KDE 4.12.5.

One battery full, another about 3 %. After wake up there is few seconds and it hibernates.

With one battery drained I am unable to wake up to KDE, but gnome 3 worked without issuses.
Comment 10 James Cassell 2014-07-21 01:32:08 EDT
Same problem with the ThinkPad W520 and the external 6-cell slice battery.
Comment 11 Fedora End Of Life 2015-05-29 04:44:37 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-06-29 07:38:50 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.